SessionFactoryServiceInitiator (Hibernate JavaDocs)
Date: 2012-04-05

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.hibernate.service.spi
Interface SessionFactoryServiceInitiator<R extends Service>

All Superinterfaces:
  ServiceInitiator<R>

All Known Implementing Classes:
  EventListenerServiceInitiator, StatisticsInitiator

    public interface SessionFactoryServiceInitiator<R extends Service>

extends ServiceInitiator<R>

Contract for an initiator of services that target the specialized service registry `SessionFactoryServiceRegistry`

Method Summary
`R` | `initiateService(SessionFactoryImplementor sessionFactory, Configuration configuration, ServiceRegistryImplementor registry)` Initiates the managed service.
`R` | `initiateService(SessionFactoryImplementor sessionFactory, MetadataImplementor metadata, ServiceRegistryImplementor registry)` Initiates the managed service.

Methods inherited from interface org.hibernate.service.spi.ServiceInitiator
`getServiceInitiated`

Method Detail

### initiateService

    R initiateService(SessionFactoryImplementor sessionFactory,
                      Configuration configuration,
                      ServiceRegistryImplementor registry)

  Initiates the managed service.

  Note for implementors: signature is guaranteed to change once redesign of SessionFactory building is complete

  Parameters:
    `sessionFactory` - The session factory. Note the the session factory is still in flux; care needs to be taken in regards to what you call.
    `configuration` - The configuration.
    `registry` - The service registry. Can be used to locate services needed to fulfill initiation.
  Returns:
    The initiated service.

### initiateService

    R initiateService(SessionFactoryImplementor sessionFactory,
                      MetadataImplementor metadata,
                      ServiceRegistryImplementor registry)

  Initiates the managed service.

  Note for implementors: signature is guaranteed to change once redesign of SessionFactory building is complete

  Parameters:
    `sessionFactory` - The session factory. Note the the session factory is still in flux; care needs to be taken in regards to what you call.
    `metadata` - The configuration.
    `registry` - The service registry. Can be used to locate services needed to fulfill initiation.
  Returns:
    The initiated service.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2001-2012 Red Hat, Inc. All Rights Reserved.